%define name vde
%define version 1.5.11
%define release %mkrel 1
%define major   0
%define libname      %mklibname %name %major

Summary: Virtual Distributed Ethernet
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1: README.mandriva
License: GPL
Group: Networking/Other
Url: http://vde.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
# (sb) not picked up automagically
Requires: %libname

%description
VDE is a virtual network that can be spawned over a set of physical 
computer over the Internet

VDE connects together: 
  (1) real GNU-linux boxes (tuntap) 
  (2) virtual machines: UML-User Mode Linux, qemu, bochs, MPS.

VDE can be used: 
  (i) to create a general purpose tunnel (every protocol that runs 
    on a Ethernet can be put into the tunnel) 
  (ii) to connect a set of virtual machine to the Internet with no 
    need of free access of tuntap 
  (iii) to support mobility: a VDE can stay interconnected despite 
    of the change of virtual cables, i.e. the change of IP addresses 
    and interface in the real world

%package -n %{libname}
Summary: VDE libraries
Group: Networking/Other

%description -n %{libname}
Library files for VDE

%prep
%setup -q
cp %SOURCE1 .
# (sb) get rid of the references to /usr/local in vdetap output, man page
sed -i 's|local/lib|%_lib|g' vdetaplib/vdetap.c
sed -i 's|local/lib|%_lib|g' doc/vdetaplib.1

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# (sb) drop the -devel files for now
rm -f $RPM_BUILD_ROOT%{_libdir}/libvde*.*a
# (sb) bad symlink from makeinstall
rm -f $RPM_BUILD_ROOT%{_bindir}/vdeqemu
ln -sf vdeq $RPM_BUILD_ROOT%{_bindir}/vdeqemu

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%doc README README.mandriva
%{_mandir}/man1/*.1*

%files -n %{libname}
%{_libdir}/libvde*

%changelog
* Fri Aug 04 2006 Stew Benedict <sbenedict@mandriva.com> 1.5.11-1mdv2007.0
- 1.5.11, drop P0 - merged upstream

* Tue Jul 19 2005 Stew Benedict <sbenedict@mandriva.com> 1.5.9-1mdk
- first Mandriva release

